# dask.dataframe.Index.max

Index.max(split_every=False)

  Return the maximum value of the Index.

  This docstring was copied from pandas.core.indexes.base.Index.max.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    axis int, optional (Not supported in Dask)

      For compatibility with NumPy. Only 0 or None are allowed.

    skipna bool, default True (Not supported in Dask)

      Exclude NA/null values when showing the result.

    *args, **kwargs

      Additional arguments and keywords for compatibility with NumPy.

  Returns:
    scalar

      Maximum value.

  See also

  `Index.min`

    Return the minimum value in an Index.

  `Series.max`

    Return the maximum value in a Series.

  `DataFrame.max`

    Return the maximum values in a DataFrame.

  Examples

      >>> idx = pd.Index([3, 2, 1])
      >>> idx.max()
      3

      >>> idx = pd.Index(['c', 'b', 'a'])
      >>> idx.max()
      'c'

  For a MultiIndex, the maximum is determined lexicographically.

      >>> idx = pd.MultiIndex.from_product([('a', 'b'), (2, 1)])
      >>> idx.max()
      ('b', 2)